


local gr = love.graphics

local transform = love.math.newTransform()
transform:scale( 0.3, 0.3 )
transform:translate( 400, 400 )

function love.load()
    img = love.graphics.newImage( "img.png" )
    rotate = 0
    scale = 1
end

function love.draw()
    local imgX, imgY = 0, 0
    transform:rotate( 0.001 )
    transform:shear( -0.001, 0.003 )

    gr.push()
    gr.replaceTransform( transform )
    love.graphics.draw( img, imgX, imgY )

    local x = love.mouse.getX()
    local y = love.mouse.getY()

    --local worldX, worldY = transform:inverseTransformPoint( x, y )
    local worldX, worldY = gr.inverseTransformPoint( x, y )

    local tileX = math.floor( (worldX - imgX) / (img:getWidth()/8) )
    local tileY = math.floor( (worldY - imgY) / (img:getHeight()/8) )

    gr.pop()

    love.graphics.setColor( 1, 0, 0 )
    love.graphics.print( "Pos "..x.."/"..y, 10, 10 )
    love.graphics.print( "World "..worldX.."/"..worldY, 10, 20 )
    love.graphics.print( "Tile "..tileX.."/"..tileY, 10, 30 )
    love.graphics.setColor( 1, 1, 1 )
end

function love.update(dt)
end

function love.mousemoved(x, y, dx, dy)
end